VARKON Version 1.15 1997-10-16

mbsc and MBSC.EXE
The MBS compiler
Description
mbsc is the UNIX version and MBSC.EXE the Microsoft Windows95/NT version of the MBS compiler. The MBS compiler reads source lines frome MBS-files and produces binary modules in MBO-files.
The MBS compiler may be used as a text based stand alone program if prefered but is usually called automatically by VARKON when needed.
Syntax
mbsc source -v -l -wn -hn -sn -pmn
Options preceded by a minus sign should be followed by their value without any separating blank spaces.
Options

source

- The name of one or more sourcefiles

-v

- Report current version information and exit.

-l

- Create listfile

-wn

- Use linewidth of n characters in listfile

-hn

- Write n lines per page to listfile

-sn

- Set module protection code to n

-pmn

- Set PMSIZE to n bytes

Comments
mbsc and MBSC.EXE need the following environment parameter to be set up in order to function properly. If not defined a default value is used instead.
VARKON_ERM Error message files
Default in UNIX = /usr/v3/erm
Default in Win95 = C:\VARKON\ERM
Due to a bug the compiler will not report if the size of PM (PMSIZE) is too small to hold the entire module. Instead it truncates the module and writes it to disc without notice.

VARKON Homepage | Index